Skip to main content
GET
/
v1
/
downstream-entity-associations
/
{downstreamEntityAssociationId}
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}
{
  "data": {
    "_id": "<string>",
    "downstreamEntity": {
      "_id": "<string>",
      "isNpnRequired": true,
      "legalName": "<string>",
      "category": "<string>",
      "npn": "<string>",
      "ein": "<string>"
    },
    "niprDataSubscription": {
      "dataOwnerId": "<string>",
      "dataOwnerModel": "<string>",
      "entityModel": "<string>",
      "entityInfo": {
        "status": "<string>",
        "jobId": "<string>",
        "message": "<string>",
        "rawEntityInfoId": "<string>"
      },
      "npn": "<string>",
      "lastSynchronizationDate": "2023-11-07T05:31:56Z",
      "pdbAlertsSubscriptionStatus": "<string>",
      "pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
    },
    "producerCode": "<string>",
    "externalId": "<string>"
  },
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Returns detailed information about a specific downstream entity association.

Path Parameters

downstreamEntityAssociationId
string
required

Associated downstream entity ID

Example:

"507f1f77bcf86cd799439011"

Response

Downstream entity association details

data
object
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"